Project:
RSS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007546Source patchesClientpublic2013-03-22 10:472017-03-27 21:46
ReporterLex128 
Assigned Toccw 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Platformx86OSWindows 7OS Version6.1.7600
Product Version 
Target VersionFixed in Version 
Summary0007546: setNonHighwayLimiterEnabled, getNonHighwayLimiterEnabled
DescriptionDisabling speed limiter for non-highway
TagsNo tags attached.
Attached Filespatch file icon NonHighwaySpeedLimiter.patch [^] (9,526 bytes) 2013-03-22 10:47 [Show Content]

- Relationships

-  Notes
(0018265)
x86 (administrator)
2013-03-22 11:45

Please explain more ...
(0018268)
Lex128 (reporter)
2013-03-22 12:45

For example non-highway speed limiter acts on Garver Bridge connecting San Fierro and Las Venturas or the central road where the Las Venturas casinos

This limiter prevents the car to reach high speeds on these roads
(0018269)
x86 (administrator)
2013-03-22 15:32

Can't this be done already with vehicle handling (max velocity) ?
(0018270)
star-tR (reporter)
2013-03-22 16:49

http://i.imgur.com/Vf6jGGD.jpg [^]
(0018271)
Lex128 (reporter)
2013-03-22 16:53

No, it not dependent on the vehicle handling, it is pure GTA and just Roads
(0018272)
star-tR (reporter)
2013-03-22 16:56

all vehicles has max speed here 180, police which has max 200, taxi, ambulance, cheetah and other. roads have limit, not vehicle.
(0018273)
LooooP (reporter)
2013-03-22 22:42
edited on: 2013-03-22 22:52

Nonono.
Using http://wiki.mtasa.com/wiki/GetElementSpeed [^] it says that Infernus max speed is 198km/h, I can get this speed anywhere, including Garver Bridge and Las Venturas central street

EDIT: My bad, this limiter works only when nitro is disabled

(0018274)
Remi-X (viewer)
2013-03-23 02:00

@ LooooP
It seems to be there event when nitro is enabled, it's just less noticable. Acceleration seems to be a little bit slower.

I love this patch already. Personally not so sure about the naming of the functions, I'd say, set/isWorldSpeedLimiterEnabled? Meh, who am I.
(0018275)
Kenix (updater)
2013-03-23 18:08

Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=5199 [^]
(0018532)
x86 (administrator)
2013-05-08 13:25

Reverted, see comments at r5199.
(0024212)
Lex128 (reporter)
2015-12-04 15:34

January 6, 2015 has been left constructive response in https://code.google.com/p/mtasa-blue/source/detail?r=5199 [^] and still no one answers...
(0024213)
qaisjp (administrator)
2015-12-04 22:24

As a note, this was originally reverted in r5205
(0024214)
qaisjp (administrator)
2015-12-04 23:17

Lex128, I've created a pull request here: https://github.com/multitheftauto/mtasa-blue/pull/18 [^]

Please can you test my branch?
(0024277)
qaisjp (administrator)
2016-01-04 18:58

If I don't get a response from you within the next month I'm closing my pull request and you'll have to make your own pull request (my branch will remain, feel free to use that as a new branch base).
(0024307)
lopezloo (developer)
2016-01-08 02:20

Maybe instead of creating new function like setOriginalGameplaySetting this could be integrated into setWorldSpecialPropertyEnabled? Currently it's used only for cheats but why not extend it for more options?
(0024308)
qaisjp (administrator)
2016-01-08 02:21

Makes sense. Good idea.
(0024309)
Inspirator (viewer)
2016-01-08 09:53

Just be sure to have the limitations enabled by default or it might mess up certain race maps on servers that have top times.
(0024925)
qaisjp (administrator)
2016-07-12 02:40

A change is required before this can be merged, as outlined here: https://github.com/multitheftauto/mtasa-blue/pull/18#commitcomment-14799592 [^]

Please make a new pull request with the relevant changes committed.
(0025776)
ccw (administrator)
2017-03-27 21:46

Fixed in https://github.com/multitheftauto/mtasa-blue/commit/ba64500266e397ed8a15e62bb7e516a0ccd41e44 [^]

- Issue History
Date Modified Username Field Change
2013-03-22 10:47 Lex128 New Issue
2013-03-22 10:47 Lex128 File Added: NonHighwaySpeedLimiter.patch
2013-03-22 11:45 x86 Note Added: 0018265
2013-03-22 11:45 x86 Status new => feedback
2013-03-22 12:45 Lex128 Note Added: 0018268
2013-03-22 15:32 x86 Note Added: 0018269
2013-03-22 16:49 star-tR Note Added: 0018270
2013-03-22 16:53 Lex128 Note Added: 0018271
2013-03-22 16:56 star-tR Note Added: 0018272
2013-03-22 22:42 LooooP Note Added: 0018273
2013-03-22 22:42 LooooP Note Edited: 0018273
2013-03-22 22:52 LooooP Note Edited: 0018273
2013-03-22 22:52 LooooP Note Edited: 0018273
2013-03-23 02:00 Remi-X Note Added: 0018274
2013-03-23 18:07 Kenix Assigned To => Kenix
2013-03-23 18:07 Kenix Status feedback => resolved
2013-03-23 18:07 Kenix Resolution open => fixed
2013-03-23 18:08 Kenix Note Added: 0018275
2013-03-24 22:42 x86 Project New issues => Multi Theft Auto : San Andreas
2013-03-24 22:43 x86 Fixed in Version => 1.4
2013-03-24 22:43 x86 Target Version => 1.4
2013-04-21 11:18 x86 Status resolved => feedback
2013-04-21 11:18 x86 Resolution fixed => open
2013-04-21 11:18 x86 Fixed in Version 1.4 =>
2013-05-08 13:25 x86 Note Added: 0018532
2015-12-01 21:46 qaisjp Note Added: 0024207
2015-12-01 21:46 qaisjp Note Added: 0024208
2015-12-01 21:46 qaisjp Note Deleted: 0024208
2015-12-01 21:46 qaisjp Note Deleted: 0024207
2015-12-04 15:34 Lex128 Note Added: 0024212
2015-12-04 15:34 Lex128 Status feedback => assigned
2015-12-04 21:57 qaisjp Assigned To Kenix => qaisjp
2015-12-04 22:24 qaisjp Note Added: 0024213
2015-12-04 23:17 qaisjp Note Added: 0024214
2015-12-23 15:53 qaisjp Status assigned => feedback
2016-01-04 18:58 qaisjp Note Added: 0024277
2016-01-04 21:37 qaisjp Project Multi Theft Auto : San Andreas => Source patches
2016-01-08 02:20 lopezloo Note Added: 0024307
2016-01-08 02:21 qaisjp Note Added: 0024308
2016-01-08 09:53 Inspirator Note Added: 0024309
2016-07-12 02:39 qaisjp Assigned To qaisjp =>
2016-07-12 02:40 qaisjp Note Added: 0024925
2017-03-27 21:46 ccw Note Added: 0025776
2017-03-27 21:46 ccw Status feedback => resolved
2017-03-27 21:46 ccw Resolution open => fixed
2017-03-27 21:46 ccw Assigned To => ccw


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker